Page MenuHomePhabricator

Allow "harbormaster.sendmessage" to send control command (pause, restart, abort, resume) to Builds/Buildables
ClosedPublic

Authored by epriestley on Jul 20 2021, 9:41 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jan 28, 4:30 PM
Unknown Object (File)
Tue, Jan 24, 3:01 PM
Unknown Object (File)
Thu, Jan 19, 12:47 PM
Unknown Object (File)
Wed, Jan 11, 4:40 AM
Unknown Object (File)
Wed, Jan 11, 4:38 AM
Unknown Object (File)
Sun, Jan 8, 7:08 PM
Unknown Object (File)
Jan 1 2023, 11:33 AM
Unknown Object (File)
Dec 28 2022, 11:56 PM
Subscribers
Restricted Owners Package

Details

Summary

Ref T13072. Expand the role of "harbormaster.sendmessage" and allow it to send control messages to Builds and Buildables.

Test Plan

Read documentation, sent commands to Builds and Buildables, hit a bunch of error cases, will deploy to catch full-lifecycle Build Target use cases.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Jul 20 2021, 9:41 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 21 2021, 9:18 PM
This revision was automatically updated to reflect the committed changes.